| Flutter macOS Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::StreamHandler< T > Class Template Referenceabstract

`#include <event_stream_handler.h>`

## Public Member Functions
| StreamHandler ()=default
virtual | ~StreamHandler ()=default
| StreamHandler (StreamHandler const &)=delete
StreamHandler & | operator= (StreamHandler const &)=delete
std::unique_ptr< StreamHandlerError< T > > | OnListen (const T *arguments, std::unique_ptr< EventSink< T >> &&events)
std::unique_ptr< StreamHandlerError< T > > | OnCancel (const T *arguments)

## Protected Member Functions
virtual std::unique_ptr< StreamHandlerError< T > > | OnListenInternal (const T *arguments, std::unique_ptr< EventSink< T >> &&events)=0
virtual std::unique_ptr< StreamHandlerError< T > > | OnCancelInternal (const T *arguments)=0

## Detailed Description

### template<typename T = EncodableValue>
class flutter::StreamHandler< T >

Definition at line 38 of file event_stream_handler.h.

## Constructor & Destructor Documentation

## ◆ StreamHandler() [1/2]

template<typename T = EncodableValue>

flutter::StreamHandler< T >::StreamHandler | ( |  | ) |
| default

## ◆ ~StreamHandler()

template<typename T = EncodableValue>

virtual flutter::StreamHandler< T >::~StreamHandler | ( |  | ) |
| virtualdefault

## ◆ StreamHandler() [2/2]

template<typename T = EncodableValue>

flutter::StreamHandler< T >::StreamHandler | ( | StreamHandler< T > const & |  | ) |
| delete

## Member Function Documentation

## ◆ OnCancel()

template<typename T = EncodableValue>

std::unique_ptr<StreamHandlerError<T> > flutter::StreamHandler< T >::OnCancel | ( | const T * | arguments | ) |
| inline

Definition at line 60 of file event_stream_handler.h.

60 {
61 return OnCancelInternal(arguments);
62 }

## ◆ OnCancelInternal()

template<typename T = EncodableValue>

virtual std::unique_ptr<StreamHandlerError<T> > flutter::StreamHandler< T >::OnCancelInternal | ( | const T * | arguments | ) |
| protectedpure virtual

Referenced by flutter::StreamHandler< EncodableValue >::OnCancel().

## ◆ OnListen()

template<typename T = EncodableValue>

std::unique_ptr<StreamHandlerError<T> > flutter::StreamHandler< T >::OnListen | ( | const T * | arguments,
|  | std::unique_ptr< EventSink< T >> && | events
| ) |  |
| inline

Definition at line 51 of file event_stream_handler.h.

53 {
54 return OnListenInternal(arguments, std::move(events));
55 }

## ◆ OnListenInternal()

template<typename T = EncodableValue>

virtual std::unique_ptr<StreamHandlerError<T> > flutter::StreamHandler< T >::OnListenInternal | ( | const T * | arguments,
|  | std::unique_ptr< EventSink< T >> && | events
| ) |  |
| protectedpure virtual

Referenced by flutter::StreamHandler< EncodableValue >::OnListen().

## ◆ operator=()

template<typename T = EncodableValue>

StreamHandler& flutter::StreamHandler< T >::operator= | ( | StreamHandler< T > const & |  | ) |
| delete

The documentation for this class was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/event_stream_handler.h

flutter::StreamHandler::OnListenInternal
virtual std::unique_ptr< StreamHandlerError< T > > OnListenInternal(const T *arguments, std::unique_ptr< EventSink< T >> &&events)=0
flutter::StreamHandler::OnCancelInternal
virtual std::unique_ptr< StreamHandlerError< T > > OnCancelInternal(const T *arguments)=0